#ifndef _minimap_h
#define _minimap_h

typedef struct _minimap
{
	ol::Bitmap *bmp;
	bool draw_called;
	int l, h, time;
	
	int8_t data_set[50*50];  //save a copy of the set/num data here, to make sending map data easier
	int8_t data_num[50*50];
	
	float a;
	void check();
	void create(bool defaultcolors = false);
	void draw(bool mapeditor, int x = 1, int y = 1, bool outline = true, bool defaultcolors = false);
	void draw_scaled(int x, int y, float scale_factor, bool defaultcolors = false);
	void destroy();
} _minimap;

#endif
